Cannot install this add on Rated 5 out of 5 stars

Firefox 17.0.1

I receive following error message:

could not be installed because Firefox cannot modify the needed file

This review is for a previous version of the add-on (0.5.1-signed).